Subject: Re: [PATCH 4/5] pack-write: pass hash_algo to `write_rev_file()`

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Jan 2025 11:35:15 -0800

Karthik Nayak via B4 Relay
<[email-masked]> writes:

> From: Karthik Nayak <[email-masked]>
>
> The `write_rev_file()` function uses the global `the_hash_algo` variable
> to access the repository's hash function. To avoid global variable
> usage, let's pass the hash function from the layers above.

There are a few other functions that got an extra git_hash_algo
parameter in this patch.  The changes to them all look sensible,
but it would be nice to mention them here.